LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
BezierPoint Struct Referencepublished

This is a point on a Bezier curve. More...

`import"BezierPoint.idl";`

## Public Attributes
com::sun::star::awt::Point | Position
| This is the position of this point. More...
com::sun::star::awt::Point | ControlPoint1
| This is the position of the first control point. More...
com::sun::star::awt::Point | ControlPoint2
| This is the position of the second control point. More...

## Detailed Description

This is a point on a Bezier curve.

The two control points specify how the Bezier curve goes through the given position.

Deprecated:

## Member Data Documentation

com::sun::star::awt::Point ControlPoint1

This is the position of the first control point.

com::sun::star::awt::Point ControlPoint2

This is the position of the second control point.

com::sun::star::awt::Point Position

This is the position of this point.

The documentation for this struct was generated from the following file:

- com/sun/star/drawing/BezierPoint.idl